<template>
  <div class="header_nox">
    <el-button type="warning" circle @click="exportWord">下载</el-button>
    <el-button
      type="primary"
      circle
      v-show="!editable"
      @click="editable = !editable"
      >编辑</el-button
    >
    <el-button type="primary" v-show="editable" @click="saveData"
      >确定</el-button
    >
  </div>
  <div id="printContent" ref="imageWrapper">
    <h3>罐线生产情况报表</h3>
    <div class="title_form">
      <div class="title_form_input">
        <span>生产线：</span>
        <span>{{ headData.head.shengcx }}</span>
      </div>
      <div class="title_form_input">
        <span>产品：</span>
        <span>{{ headData.head.chanpin }}</span>
      </div>
      <div class="title_form_input">
        <span>日期：</span>
        <span>{{ headData.head.reportTime1 }}</span>
      </div>
      <div class="title_form_input">
        <span>班次：</span>
        <span>{{ headData.head.banci }}</span>
      </div>
      <div class="title_form_input">
        <span>记录员：</span>
        <span>{{ headData.head.jiluyuan }}</span>
      </div>
      <div class="title_form_input">
        <span>接班时间：</span>
        <span>{{ headData.head.jieban1 }}</span>
      </div>
      <div class="title_form_input">
        <span>交班时间：</span>
        <span>{{ headData.head.jiaoban1 }}</span>
      </div>
    </div>
    <el-divider />
    <HJTABLE
      :SClist="chanliangtongjiListData"
      :tableHeader="chaliangHeader"
      :labelName="labelName.b1"
      :editable="editable"
    ></HJTABLE>
    <HJTABLE
      :SClist="feipinYintieData"
      :tableHeader="ytfpHeader"
      :labelName="labelName.b2"
      :editable="editable"
    ></HJTABLE>
    <HJTABLE
      :SClist="feipinJianbanData"
      :tableHeader="jbfpHeader"
      :labelName="labelName.b3"
      :editable="editable"
    ></HJTABLE>
    <HJTABLE
      :SClist="feipinHanjiData"
      :tableHeader="hjfpHeader"
      :labelName="labelName.b4"
      :editable="editable"
    ></HJTABLE>
    <HJTABLE
      :SClist="feipinFanbianData"
      :tableHeader="fbfpHeader"
      :labelName="labelName.b5"
      :editable="editable"
    ></HJTABLE>
    <HJTABLE
      :SClist="feipinFengkouData"
      :tableHeader="fkzhfpHeader"
      :labelName="labelName.b6"
      :editable="editable"
    ></HJTABLE>
    <HJTABLE
      :SClist="feipinJianguanData"
      :tableHeader="jianguanfpHeader"
      :labelName="labelName.b7"
      :editable="editable"
    ></HJTABLE>
    <HJTABLE
      :SClist="feipinJiguanData"
      :tableHeader="jiguanfpHeader"
      :labelName="labelName.b8"
      :editable="editable"
    ></HJTABLE>
    <HJTABLE
      :SClist="feipinZhijianData"
      :tableHeader="zhijianfpHeader"
      :labelName="labelName.b9"
      :editable="editable"
    ></HJTABLE>
    <HJTABLE
      :SClist="feipinGuanData"
      :tableHeader="feipinfpHeader"
      :labelName="labelName.b10"
      :editable="editable"
    ></HJTABLE>
  </div>
</template>

<script>
const item = {
  name: "",
  birth: "",
  province: "",
  city: "",
  address: "",
  phone: "",
};
const header = {
  prop: "key",
  label: "自定义",
  editable: false,
  type: "input",
};
import { ref, reactive, onMounted } from "vue";
import { ElMessage } from "element-plus";
import { ShengchanVoList, save } from "@/api/Guanxian";
import html2canvas from "html2canvas";
import docxtemplater from "docxtemplater";
import PizZip from "pizzip";
import JSZipUtils from "jszip-utils";
import { saveAs } from "file-saver";
import HJTABLE from "@/components/arj/arj-table";
import { useRouter } from "vue-router";
import { headReport } from "@/api/head";
export default {
  name: "",
  components: { HJTABLE },
  props: {},
  setup(props) {
    const router = useRouter();
    const chaliangHeader = reactive([
      {
        prop: "hjzs",
        label: "焊接总数",
        editable: false,
        type: "text",
      },
      {
        prop: "chengpin",
        label: "成品",
        editable: false,
        type: "input",
      },
      {
        prop: "zhuancp",
        label: "转成品",
        editable: false,
        type: "input",
      },
      {
        prop: "daijp",
        label: "待检品",
        editable: false,
        type: "input",
      },
      {
        prop: "jiebqsy",
        label: "接班前剩余",
        editable: false,
        type: "input",
      },
      {
        prop: "jiaobhsy",
        label: "接班后剩余",
        editable: false,
        type: "input",
      },
      {
        prop: "yinfg",
        label: "印废罐",
        editable: false,
        type: "input",
      },
      {
        prop: "feipjbfp",
        label: "废品+剪板废品",
        editable: false,
        type: "input",
      },
      {
        prop: "hegcp",
        label: "合格成品",
        editable: false,
        type: "input",
      },
      {
        prop: "feipl",
        label: "废品率",
        editable: false,
        type: "input",
      },
      {
        prop: "caiytpc",
        label: "彩印铁批次",
        editable: false,
        type: "input",
      },
    ]);
    const hjfpHeader = reactive([
      {
        prop: "total",
        label: "生产废品(总计)",
        editable: false,
        type: "text",
      },
      {
        prop: "touguanNum",
        label: "头罐",
        editable: false,
        type: "input",
      },
      {
        prop: "choujianNum",
        label: "抽检",
        editable: false,
        type: "input",
      },
      {
        prop: "waitubuliangNum",
        label: "外涂不良",
        editable: false,
        type: "input",
      },
      {
        prop: "kaguanNum",
        label: "卡罐",
        editable: false,
        type: "input",
      },
      {
        prop: "guhuabuliangNum",
        label: "固化不良",
        editable: false,
        type: "input",
      },
      {
        prop: "louyinNum",
        label: "",
        editable: false,
        type: "input",
      },
      {
        prop: "hanjiebuliangNum",
        label: "焊接不良",
        editable: false,
        type: "input",
      },
      {
        prop: "namePihaoValue",
        label: "产品名称/批号",
        editable: false,
        type: "input",
      },
    ]);
    const ytfpHeader = reactive([
      {
        prop: "total",
        label: "印铁废品(总计)",
        editable: false,
        type: "text",
      },
      {
        prop: "chongyingNum",
        label: "重印",
        editable: false,
        type: "input",
      },
      {
        prop: "zazhidianNum",
        label: "杂质点",
        editable: false,
        type: "input",
      },
      {
        prop: "moranNum",
        label: "墨染",
        editable: false,
        type: "input",
      },
      {
        prop: "louyinNum",
        label: "漏印",
        editable: false,
        type: "input",
      },
      {
        prop: "sechaNum",
        label: "色差",
        editable: false,
        type: "input",
      },
      {
        prop: "neiyinseNum",
        label: "内印色",
        editable: false,
        type: "input",
      },

      {
        prop: "waituzouweiNum",
        label: "外涂走位",
        editable: false,
        type: "input",
      },

      {
        prop: "neiwaitucashangNum",
        label: "内外涂擦伤",
        editable: false,
        type: "input",
      },
      {
        prop: "sutiehexianNum",
        label: "素铁黑线",
        editable: false,
        type: "input",
      },

      {
        prop: "loutuNum",
        label: "漏涂",
        editable: false,
        type: "input",
      },
      {
        prop: "namePihaoValue",
        label: "产品名称/批号",
        editable: false,
        type: "input",
      },
    ]);

    const fbfpHeader = reactive([
      {
        prop: "total",
        label: "生产废品(总计)",
        editable: false,
        type: "text",
      },
      {
        prop: "kaguanNum",
        label: "卡罐",
        editable: false,
        type: "input",
      },
      {
        prop: "yahenNum",
        label: "压痕",
        editable: false,
        type: "input",
      },
      {
        prop: "huashangNum",
        label: "划伤",
        editable: false,
        type: "input",
      },
      {
        prop: "youguanNum",
        label: "油罐",
        editable: false,
        type: "input",
      },
      {
        prop: "shuanggaiNum",
        label: "双盖",
        editable: false,
        type: "input",
      },
      {
        prop: "choujianNum",
        label: "抽检",
        editable: false,
        type: "input",
      },
      {
        prop: "guanjinblNum",
        label: "滚筋不良",
        editable: false,
        type: "input",
      },
      {
        prop: "fengkoublNum",
        label: "封口不良",
        editable: false,
        type: "input",
      },
      {
        prop: "namePihaoValue",
        label: "产品名称/批号",
        editable: false,
        type: "input",
      },
    ]);
    const jbfpHeader = reactive([
      {
        prop: "total",
        label: "生产废品(总计)",
        editable: false,
        type: "text",
      },

      {
        prop: "jianxieNum",
        label: "剪斜",
        editable: false,
        type: "input",
      },
      {
        prop: "yahenNum",
        label: "压痕",
        editable: false,
        type: "input",
      },
      {
        prop: "huashangNum",
        label: "划伤",
        editable: false,
        type: "input",
      },
      {
        prop: "kabanNum",
        label: "卡板",
        editable: false,
        type: "input",
      },
    ]);
    const fkzhfpHeader = reactive([
      {
        prop: "total",
        label: "生产废品(总计)",
        editable: false,
        type: "text",
      },

      {
        prop: "shaunggaiNum",
        label: "双盖",
        editable: false,
        type: "input",
      },
      {
        prop: "yahenNum",
        label: "压痕",
        editable: false,
        type: "input",
      },
      {
        prop: "fengkouBlNum",
        label: "封口不良",
        editable: false,
        type: "input",
      },
      {
        prop: "kaguanNum",
        label: "卡罐",
        editable: false,
        type: "input",
      },
      {
        prop: "youguanNum",
        label: "油罐",
        editable: false,
        type: "input",
      },
      {
        prop: "choujianNum",
        label: "抽检",
        editable: false,
        type: "input",
      },
    ]);
    const jianguanfpHeader = reactive([
      {
        prop: "total",
        label: "生产废品(总计)",
        editable: false,
        type: "text",
      },

      {
        prop: "louguanNum",
        label: "漏罐",
        editable: false,
        type: "input",
      },
      {
        prop: "shuanggaiNum",
        label: "双盖",
        editable: false,
        type: "input",
      },
      {
        prop: "lougaiNum",
        label: "漏盖",
        editable: false,
        type: "input",
      },
      {
        prop: "bieguanNum",
        label: "瘪罐",
        editable: false,
        type: "input",
      },
      {
        prop: "daoguanNum",
        label: "倒罐",
        editable: false,
        type: "input",
      },
    ]);
    const jiguanfpHeader = reactive([
      {
        prop: "total",
        label: "生产废品(总计)",
        editable: false,
        type: "text",
      },

      {
        prop: "youguanNum",
        label: "油罐",
        editable: false,
        type: "input",
      },
      {
        prop: "bieguanNum",
        label: "瘪罐",
        editable: false,
        type: "input",
      },
      {
        prop: "hanjieBlNum",
        label: "焊接不良",
        editable: false,
        type: "input",
      },
      {
        prop: "gunjinBlNum",
        label: "滚筋不良",
        editable: false,
        type: "input",
      },
      {
        prop: "zangguanNum",
        label: "脏罐",
        editable: false,
        type: "input",
      },
      {
        prop: "jianxieNum",
        label: "剪斜",
        editable: false,
        type: "input",
      },
      {
        prop: "fanbianBlNum",
        label: "翻边不良",
        editable: false,
        type: "input",
      },
      {
        prop: "suojinBlNum",
        label: "缩筋不良",
        editable: false,
        type: "input",
      },
      {
        prop: "zanggaiNum",
        label: "脏盖",
        editable: false,
        type: "input",
      },
      {
        prop: "waituBlNum",
        label: "外涂不良",
        editable: false,
        type: "input",
      },
      {
        prop: "huashangNum",
        label: "彩印划伤",
        editable: false,
        type: "input",
      },
      {
        prop: "fengkouBlNum",
        label: "封口不良",
        editable: false,
        type: "input",
      },
    ]);
    const zhijianfpHeader = reactive([
      {
        prop: "total",
        label: "质检",
        editable: false,
        type: "text",
      },
      {
        prop: "sum",
        label: "合计",
        editable: false,
        type: "text",
      },
    ]);
    const feipinfpHeader = reactive([
      {
        prop: "total",
        label: "生产废品(总计)",
        editable: false,
        type: "text",
      },

      {
        prop: "chongyingNum",
        label: "重印",
        editable: false,
        type: "input",
      },
      {
        prop: "louyinNum",
        label: "漏印",
        editable: false,
        type: "input",
      },
      {
        prop: "zazhidianNum",
        label: "杂质点",
        editable: false,
        type: "input",
      },
      {
        prop: "waituzouweiNum",
        label: "外涂走位",
        editable: false,
        type: "input",
      },
      {
        prop: "louyinNum",
        label: "漏印",
        editable: false,
        type: "input",
      },
      {
        prop: "moranNum",
        label: "墨染",
        editable: false,
        type: "input",
      },
      {
        prop: "fanbianBl",
        label: "翻边不良",
        editable: false,
        type: "input",
      },
      {
        prop: "sechaNum",
        label: "色差",
        editable: false,
        type: "input",
      },
      {
        prop: "neiyinseNum",
        label: "内印色",
        editable: false,
        type: "input",
      },
      {
        prop: "neiwaitucashangNum",
        label: "内外涂擦伤",
        editable: false,
        type: "input",
      },
      {
        prop: "guangyouBzNum",
        label: "光油不准",
        editable: false,
        type: "input",
      },
      {
        prop: "sutiehexianNum",
        label: "素铁黑线",
        editable: false,
        type: "input",
      },
      {
        prop: "taoyinBzNum",
        label: "套印不准",
        editable: false,
        type: "input",
      },
      {
        prop: "hubanNum",
        label: "糊板",
        editable: false,
        type: "input",
      },
    ]);
    let tableData = reactive([]);
    const formInline = reactive({
      user: "",
      region: "",
    });
    const imageWrapper = ref(null);

    let headData = reactive({
      head: {},
    });

    let labelName = {
      b1: "产量统计",
      b2: "废品统计",
      b3: "剪板废品",
      b4: "焊接废品",
      b5: "翻边废品",
      b6: "组合废品",
      b7: "检罐废品",
      b8: "集罐废品",
      b9: "质检",
      b10: "印废罐",
    };
    let editable = ref(false);

    let SClist = ref([]);
    let hjData = ref({});

    let chanliangtongjiListData = ref([]);
    let feipinGuanData = ref([]);

    let feipinHanjiData = ref([]);
    let feipinJianbanData = ref([]);

    let feipinJiguanData = ref([]);
    let feipinJianguanData = ref([]);
    let feipinYintieData = ref([]);
    let feipinFanbianData = ref([]);

    let feipinFengkouData = ref([]);
    let feipinZhijianData = ref([]);

    const submitForm = () => {};

    const handleEdit = (row) => {
      row.editable = true;
    };
    const handleDelete = (index) => {
      this.tableData.splice(index, 1);
    };
    const prepend = (index) => {
      item.editable = true;
      this.tableData.splice(index, 0, item);
    };
    const append = (index) => {
      item.editable = true;
      this.tableData.splice(index + 1, 0, item);
    };
    const deleteCurrentColumn = (index) => {
      this.tableHeader.splice(index, 1);
    };
    const insertBefore = (index) => {
      header.editable = true;
      this.tableHeader.splice(index, 0, header);
    };
    function checkValue(obj) {
      if (obj == null) return [{ total: 0 }];
      return [obj];
    }
    function checkTotal(obj) {
      if (obj == null) return null;
      return obj.total;
    }
    const getListData = async () => {
      const data = await ShengchanVoList();
      parse(data);
    };
    function parse(data) {
      headData.head = data.data.head;
      headData.head.reportTime1 = headData.head.reportTime.substr(0, 10);
      headData.head.jieban1 = headData.head.jieban.substr(11, 5);
      headData.head.jiaoban1 = headData.head.jiaoban.substr(11, 5);

      let yt = {
        cy: data.data.feipinYintie.chongyingNum,
        mr: data.data.feipinYintie.moranNum,
        zzd: data.data.feipinYintie.zazhidianNum,
        wtzw: data.data.feipinYintie.waituzouweiNum,
        st: data.data.feipinYintie.sutiehexianNum,
        sc: data.data.feipinYintie.sechaNum,
        ly: data.data.feipinYintie.louyinNum,
        nys: data.data.feipinYintie.neiyinseNum,
        nwtcs: data.data.feipinYintie.neiwaitucashangNum,
        lt: data.data.feipinYintie.loutuNum,
      };
      let jb = {
        kb:
          data.data.feipinJianban == null
            ? 0
            : data.data.feipinJianban.kabanNum,
        hs:
          data.data.feipinJianban == null
            ? 0
            : data.data.feipinJianban.huashangNum,
        yh:
          data.data.feipinJianban == null
            ? 0
            : data.data.feipinJianban.yahenNum,
        jx:
          data.data.feipinJianban == null
            ? 0
            : data.data.feipinJianban.jianxieNum.jianxieNum,
      };
      let hj = {
        hjyg: data.data.feipinHanji.youguanNum,
        hjtg: data.data.feipinHanji.touguanNum,
        hjcj: data.data.feipinHanji.choujianNum,
        hjwt: data.data.feipinHanji.waitubuliangNum,
        hjkg: data.data.feipinHanji.kaguanNum,
        hjhj: data.data.feipinHanji.hanjiebuliangNum,
      };

      let fb = {
        fbsj: data.data.feipinFengkou.suojinBlNum,
        fbkg: data.data.feipinFengkou.kaguanNum,
        fbyh: data.data.feipinFengkou.yahenNum,
        fbhs: data.data.feipinFengkou.huashangNum,
        fbwt: data.data.feipinFengkou.waituCsNum,
        fbfb: data.data.feipinFengkou.fanbianBlNum,
      };

      let fk = {
        fkfk: data.data.feipinFengkou.fengkouBlNum,
        fkyh: data.data.feipinFengkou.yahenNum,
        fkkg: data.data.feipinFengkou.kaguanNum,
        fkyg: data.data.feipinFengkou.youguanNum,
        fkcj: data.data.feipinFengkou.choujianNum,
        fksg: data.data.feipinFengkou.shaunggaiNum,
      };
      let jg = {
        jgbg: data.data.feipinFengkou.bieguanNum,
        jglg: data.data.feipinFengkou.louguanNum,
        jgsg: data.data.feipinFengkou.shuanggaiNum,
        jgdg: data.data.feipinFengkou.daoguanNum,
        jglgai: data.data.feipinFengkou.lougaiNum,
        jgjh: data.data.feipinFengkou.jiahanNum,
      };
      let zj = {
        total: checkTotal(data.data.feipinZhijian),
        sum:
          data.data.feipinZhijian == null ? null : data.data.feipinZhijian.sum,
        t1: checkTotal(data.data.feipinYintie),
        t2: checkTotal(data.data.feipinJianban),
        t3: checkTotal(data.data.feipinHanji),
        t4: checkTotal(data.data.feipinFanbian),
        t5: checkTotal(data.data.feipinFengkou),
        t6: checkTotal(data.data.feipinJianguan),
        t7: checkTotal(data.data.feipinJiguan),
        t8: checkTotal(data.data.feipinGuan),
      };
      hjData.value = {
        ...headData.head,
        ...data.data.chanliangtongjiList,
        ...yt,
        ...jb,
        ...hj,
        ...fb,
        ...fk,
        ...jg,
        ...zj,
      };

      chanliangtongjiListData.value = checkValue(data.data.chanliangtongjiList);
      feipinGuanData.value = checkValue(data.data.feipinGuan);
      feipinHanjiData.value = checkValue(data.data.feipinHanji);
      feipinJianbanData.value = checkValue(data.data.feipinJianban);
      feipinJiguanData.value = checkValue(data.data.feipinJiguan);
      feipinJianguanData.value = checkValue(data.data.feipinJianguan);
      feipinYintieData.value = checkValue(data.data.feipinYintie);
      feipinFanbianData.value = checkValue(data.data.feipinFanbian);
      feipinFengkouData.value = checkValue(data.data.feipinFengkou);
      feipinZhijianData.value = checkValue(data.data.feipinZhijian);
    }
    const saveData = async () => {
      editable = false;
      let data = {
        feipinGuan: feipinGuanData.value[0],
        feipinHanji: feipinHanjiData.value[0],
        feipinJianban: feipinJianbanData.value[0],
        deipinJiguan: feipinJiguanData.value[0],
        feipinJiangu: feipinJianguanData.value[0],
        feipinYintie: feipinYintieData.value[0],
        feipinFanbian: feipinFanbianData.value[0],
        feipinFengkou: feipinFengkouData.value[0],
        feipinZhijian: feipinZhijianData.value[0],
        chanliangtongjiList: chanliangtongjiListData.value[0],
        head: headData.head,
      };
      console.log("save data...", data);
      const dt = await save(data);
      if (dt.code == 0) {
        ElMessage({
          message: "修改成功",
          type: "success",
        });
      }
      console.log(dt);
    };
    //截图
    const toImage = () => {
      html2canvas(imageWrapper.value, {
        logging: false,
        allowTaint: true,
        scale: window.devicePixelRatio,
        // width: shareContent.clientWidth, //dom 原始宽度
        // height: shareContent.clientHeight,
        scrollY: 0,
        scrollX: 0,
        useCORS: true,
        backgroundColor: "#ffffff",
      }).then(function (canvas) {
        // console.log(canvas);
        let imgUrl = canvas.toDataURL("image/png");
        var tempLink = document.createElement("a"); // 创建一个a标签
        tempLink.style.display = "none";
        tempLink.href = imgUrl;
        tempLink.setAttribute("download", "罐线生产情况报表"); // 给a标签添加下载属性
        if (typeof tempLink.download === "undefined") {
          tempLink.setAttribute("target", "_blank");
        }
        document.body.appendChild(tempLink); // 将a标签添加到body当中
        tempLink.click(); // 启动下载
        document.body.removeChild(tempLink); // 下载完毕删除a标签
        window.URL.revokeObjectURL(imgUrl);
      });
    };
    // 点击导出word
    function exportWord() {
      // 读取并获得模板文件的二进制内容
      JSZipUtils.getBinaryContent("guanxian.docx", function (error, content) {
        // input.docx是模板。我们在导出的时候，会根据此模板来导出对应的数据
        // 抛出异常
        if (error) {
          throw error;
        }

        // 创建一个JSZip实例，内容为模板的内容
        let zip = new PizZip(content);
        // 创建并加载docxtemplater实例对象

        let doc = new docxtemplater().loadZip(zip).setOptions({
          nullGetter: function () {
            return "";
          },
        });
        // 设置模板变量的值
        doc.setData({
          ...hjData.value,
        });

        try {
          // 用模板变量的值替换所有模板变量
          doc.render();
        } catch (error) {
          // 抛出异常
          let e = {
            message: error.message,
            name: error.name,
            stack: error.stack,
            properties: error.properties,
          };
          console.log(JSON.stringify({ error: e }));
          throw error;
        }

        // 生成一个代表docxtemplater对象的zip文件（不是一个真实的文件，而是在内存中的表示）
        let out = doc.getZip().generate({
          type: "blob",
          mimeType:
            "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
        });
        // 将目标文件对象保存为目标类型的文件，并命名
        saveAs(out, "罐线生产情况报表.docx");
      });
    }
    const getRouterData = async (req) => {
      console.log("req....", req);
      const data = await headReport(req);
      console.log("jbj router data.....", data);

      parse(data);
    };
    onMounted(() => {
      console.log("rrrrrrrrrrr", router.currentRoute.value.query);
      let head_id = router.currentRoute.value.query.id;
      let leixing = router.currentRoute.value.query.leixing;
      console.log("vue recv....", head_id, leixing);
      if (head_id == null) {
        getListData();
      } else {
        getRouterData({ head_id: head_id, leixing: leixing });
      }
    });
    return {
      saveData,
      submitForm,
      formInline,
      tableData,
      insertBefore,
      deleteCurrentColumn,
      append,
      prepend,
      handleDelete,
      handleEdit,

      getListData,
      headData,
      toImage,
      imageWrapper,
      ytfpHeader,
      feipinfpHeader,
      chaliangHeader,
      chanliangtongjiListData,
      feipinGuanData,
      feipinHanjiData,
      feipinJianbanData,
      feipinJiguanData,
      feipinJianguanData,
      feipinYintieData,
      feipinFanbianData,
      feipinFengkouData,
      feipinZhijianData,
      jbfpHeader,
      hjfpHeader,
      fbfpHeader,
      fkzhfpHeader,
      jianguanfpHeader,
      jiguanfpHeader,
      zhijianfpHeader,
      feipinfpHeader,
      exportWord,
      labelName,
      editable,
      ShengchanVoList,
    };
  },
};
</script>
<style lang="scss" scoped>
.header_nox {
  text-align: right;
}
#printContent h3 {
  text-align: center;
  margin-bottom: 40px;
  font-size: 26px;
  font-weight: bold;
}
.title_form {
  display: flex;
  justify-content: space-around;
  align-items: center;
  // margin-bottom: 20px;
}
.title_form_input {
  font-size: 16px;
}
</style>
